Members Messaging

Keep it professional!

APis related to platform internal messaging, TCXC buyer and seller can communicate through this system to discuss deals, or raise trouble tickets.

Examples

  • Buyer may send a message about Low ACD for a destination to a specific seller, the seller may reply with further information or confirming the issue has been resolved.
  • Buyer may request a rate decrease or negotiate a new deal with seller directly.
Base URLhttps://apiv2.telecomsxchange.com
AuthenticationHTTP Digest

Buyers

This section shows how you can query the current inbox and outbox messages of your account, and if you want to respond to an existing message or compose a new one to a seller.

#List Incoming messages

POSThttps://apiv2.telecomsxchange.com/buyers/messages

Show all incoming and outgoing messages sent or received from other members on marketplace.

Query parameters

showstringoptional

Example inbox

limitintegeroptional

Example 30

offintegeroptional

Example 0

Body parameters

application/x-www-form-urlencoded
showstringrequired

Example inbox

limitintegerrequired

Example 30

offintegerrequired

Example 0

statusstringoptional

Example read

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/messages" \
  -d "show=inbox" \
  -d "limit=30" \
  -d "off=0"
Inbox1 unread
  • ACLow ASR% to Alegria - ResolvedThe ticket has been resolved from our side, please retest.AcmeInc
    10/24/19 4:06PM
Rendered from the example response.

#List Outgoing messages

POSThttps://apiv2.telecomsxchange.com/buyers/messages

Show all sent messages (outbox) from my buyer account to vendors.

Query parameters

showstringoptional

Example outbox

limitintegeroptional

Example 20

offintegeroptional

Example 0

Body parameters

application/x-www-form-urlencoded
showstringrequired

Sent messages

Example outbox

limitintegerrequired

limit returned results

Example 30

offintegerrequired

offset

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/messages" \
  -d "show=outbox" \
  -d "limit=30" \
  -d "off=0"
Sent messages3 messages
  • TALow ASR% to ChadSample numbers: 22712334566 ASR 10% and ACD 30 secondsTo TATA
    10/24/19 4:11PM
  • AICapacity Increase RequestPlease increase our capacity to India to 1000 portsTo Airtel
    10/24/19 4:11PM
  • FAThank youAll issues are now resolved to Pakistan. Thank you!To Fabrikam
    10/24/19 4:10PM
Rendered from the example response.

#Reply to Seller Message

POSThttps://apiv2.telecomsxchange.com/buyers/message/reply/{id}

This API allows buyers to reply to sellers messages received in inbox. First you have to know the message {id} before you can reply to it. Check the list incoming messages API to retreive the message {id} that you're replying to.

Path parameters

idintegerrequired

ID of the inbox message you are replying to, as returned by List Incoming Messages.

Example 12

Body parameters

application/x-www-form-urlencoded
messagestringrequired

Example Ok, the case is now closed.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/message/reply/12" \
  -d "message=Ok, the  case is now closed."
Reply sent
SuccessReplied
Message ID
17
Rendered from the example response.

#Compose New Message To Seller

POSThttps://apiv2.telecomsxchange.com/buyers/message/send

This API allows you to compose a new message to sellers.

Body parameters

application/x-www-form-urlencoded
idintegerrequired

Seller ID

Example 2

subjectstringrequired

What is the message about ?

Example Low ASR% to US Toll Free

messagestringrequired

What do you want to say ? "Keep it professional"

Example We're facing low ASR% to your Toll-Free USA route. This is a test trouble ticket! please ignore.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/message/send" \
  -d "id=2" \
  -d "subject=Low ASR% to US Toll Free" \
  -d "message=We're facing low ASR% to your Toll-Free USA route. This is a test trouble ticket! please ignore."
Message sent
SuccessMessage 19 sent successfully to seller Airtel
Message ID
19
Rendered from the example response.

Sellers

This section shows how you can query the current inbox and outbox messages of your seller account, and if want to reply to a buyer message or compose a new message.

Examples

  • Seller may raise a message when receiving junk traffic from a specific buyer.
  • Seller may send a promo message about best performing routes to buyer(s).
  • Seller may notify buy about upcoming maintinance schedule.

#List Incoming Messages

POSThttps://apiv2.telecomsxchange.com/sellers/messages

Retrieve a paginated list of incoming messages sent from your TCXC account to other members.

Body parameters

application/x-www-form-urlencoded
showstringrequired

Example inbox

pagerintegerrequired

Example 3

offintegerrequired

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/messages" \
  -d "show=inbox" \
  -d "pager=3" \
  -d "off=0"
Inbox3 unread
  • AChiOk, the case is now closed.AcmeInc
    10/28/19 2:24PM
  • ACLow ASR% to US Toll FreeWe're facing low ASR% to your Toll-Free USA route. This is a test trouble ticket! please ignore.AcmeInc
    10/24/19 6:44PM
  • AChiOk, the case is now closed.AcmeInc
    10/24/19 6:39PM
Rendered from the example response.

#List Outgoing Messages

POSThttps://apiv2.telecomsxchange.com/sellers/messages

Retrieve a paginated list of outgoing messages sent from your TCXC account to other members.

Body parameters

application/x-www-form-urlencoded
showstringrequired

Example outbox

pagerintegerrequired

Example 3

offintegerrequired

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/messages" \
  -d "show=outbox" \
  -d "pager=3" \
  -d "off=0"
Sent messages3 messages
  • AChitestrply234567To AcmeInc
    10/28/19 4:55PM
  • ACRe: Low ASR %Thanks for th update- Please retest nowTo AcmeInc
    10/28/19 4:53PM
  • AChitestmsg234567To AcmeInc
    10/28/19 4:52PM
Rendered from the example response.

#Reply to Buyer Message

POSThttps://apiv2.telecomsxchange.com/sellers/messages

As a seller on telecomsxchange, you can respond to a message sent to you by a buyer using this API.

Body parameters

application/x-www-form-urlencoded
showstringrequired

Example outbox

pagerintegerrequired

Example 3

offintegerrequired

Example 0

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/messages" \
  -d "show=outbox" \
  -d "pager=3" \
  -d "off=0"
Reply sent
SuccessReplied
Message ID
25
Rendered from the example response.

#Compose New Message To Buyer

POSThttps://apiv2.telecomsxchange.com/buyers/message/send

This API allows you to compose a new message to sellers.

Body parameters

application/x-www-form-urlencoded
idintegerrequired

Seller ID

Example 2

subjectstringrequired

What is the message about ?

Example Low ASR% to US Toll Free

messagestringrequired

What do you want to say ? "Keep it professional"

Example We're facing low ASR% to your Toll-Free USA route. This is a test trouble ticket! please ignore.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/buyers/message/send" \
  -d "id=2" \
  -d "subject=Low ASR% to US Toll Free" \
  -d "message=We're facing low ASR% to your Toll-Free USA route. This is a test trouble ticket! please ignore."
Message sent
SuccessMessage 19 sent successfully to seller Airtel
Message ID
19
Rendered from the example response.

#List my buyers

POSThttps://apiv2.telecomsxchange.com/sellers/buyers/list

This API allows you to list your subscribed buyers on TCXC. you may find out what services they have purchased from your and you can send them a message.

No parameters. Authentication is the only requirement.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/buyers/list"
Your buyers3 buyers
BuyerPurchased routes
NONorthwindID 1014Gold+A2P
GLGlobexID 1230Gold+
DEdemoID 1015Gold+Silver+
Rendered from the example response.

#Blast Message to Buyers

POSThttps://apiv2.telecomsxchange.com/sellers/buyers/message

Use this API to send a message blast to all your subscribed buyers on TelecmsXChange.

Body parameters

application/x-www-form-urlencoded
subjectstringrequired

Subject of message blast

Example New Coverage !

messagestringrequired

Body of the blast message

Example New DID Coverage to Sudan now available for immediate use.

curl --digest \
  -u "$TCXC_USERNAME:$TCXC_API_KEY" \
  -X POST \
  "https://apiv2.telecomsxchange.com/sellers/buyers/message" \
  -d "subject=New Coverage !" \
  -d "message=New DID Coverage to Sudan now available for immediate use."
Broadcast result
SuccessMessages have been sent successfully to buyers list
Rendered from the example response.